Subject: bug#68824: treesitter support for outline-minor-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Feb 2024 21:25:36 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 09 Feb 2024 09:07:44 +0200
> 
> >> >> +@vindex outline-search-function
> >> >> +  Instead of setting the variable @code{outline-regexp}, you can set
> >> >> +the variable @code{outline-search-function} to a function that
> >> >> +matches the current heading and searches for the next one.
> >> >
> >> > This should tell which arguments will be passed to the function, and
> >> > what it is expected to do and return.
> >>
> >> This is the Emacs User Manual, not the Emacs Lisp Reference Manual.
> >> Are you sure that arguments should be described here?
> >
> > Sorry, I wasn't aware that was for the user manual.  But why are such
> > variables documented in the user manual to begin with? why not in the
> > ELisp manual?
> 
> The problem is that the Info node in the ELisp manual would be too small.
> I have no idea what to write in that node more than 10 lines from the
> docstring of 'outline-search-function'.

Why does it have to be a separate node?  Why cannot we have a
paragraph or two about this in "Tree-sitter Major Modes", for example,
or in "Minor Modes"?